Subject: Re: [PATCH v6 0/3] branch: inherit tracking configs

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Dec 2021 16:02:37 -0800

Josh Steadmon <[email-masked]> writes:

> Changes since V5:
> * Greatly simplified BRANCH_CONFIG_VERBOSE output to not require nearly
>   so many conditionals.
> * Note that rebasing is not compatible with inheriting multiple upstream
>   branches.
> * Moved the change to case-sensitivity for branch.autosetupmerge to its
>   own commit.
> * Improve advice on failed tracking setup when multiple branches are
>   involved.
> * Make better use of string_list API.
> * Make better use of config API.
> * More straight-forward use of the `struct tracking` API.
> * Numerous style fixes.

I've queued this, and rebased Glen's "branch --recurse-submodules"
on top, and parked both of them near the tip of 'seen'.  I do not
have much confidence in the conflict resolution needed during the
rebasing or the other branch or merges into 'seen', and I would
appreciate it if you two can take a look to sanity check the result.

Thanks.